*===== BOF chinitcd.inc ==================================================
*   Version 93.01, January, 1993

*   Note: This include, if used, must appear after "Network.inc".

      INTEGER ChannelNumber(MaxChannels), Locations(MaxChannels)
      INTEGER FirstLocation(MaxChannels)
      INTEGER InitialConditionIndex(MaxChannels)
      REAL InitialX(MaxLocations)
      REAL InitialWS(MaxLocations), InitialQ(MaxLocations)
      LOGICAL InitCndInitialized
      COMMON / ChInitialFlow / ChannelNumber, Locations, FirstLocation,
     #                         InitialConditionIndex,
     #                         InitialX, InitialWS, InitialQ,
     #                         InitCndInitialized
      SAVE / ChInitialFlow /

*   Definitions:
*     ChannelNumber(j) - channel number corresponding to sequence number "j".
*     Locations(j) - number of locations in ChannelNumber(j).
*     FirstLocation(j) - sequence number of first location in ChannelNumber(j).
*     InitialConditionIndex( ChannelNumber(j) ) - sequence number corresponding
*                                                 to ChannelNumber(j).
*     InitialX(i) - stream distance at initial location "i".
*     InitialWS(i) - water surface elevation at initial location "i".
*     InitialQ(i) - volumetric discharge at initial location "i".

*===== EOF chinitcd.inc ==================================================
