*===== BOF chnluser.inc =================================================
*   Version 93.01, January, 1993

*   Note: This include, when used, must follow "Network.inc".

      INTEGER NumUserLoc
      INTEGER UpUserPointer(MaxChannels), DownUserPointer(MaxChannels)
      INTEGER NumberOfUserLocations(MaxChannels)
      REAL UserWS(MaxLocations), UserQ(MaxLocations)
      REAL UserH(MaxLocations)
      CHARACTER*16 UserLocationID(MaxLocations)
      COMMON / ChannelLocations / NumUserLoc,
     #                            UpUserPointer, DownUserPointer,
     #                            NumberOfUserLocations,
     #                            UserWS, UserQ, UserH
      COMMON /CxIdentifiers/ UserLocationID
      SAVE / ChannelLocations /, / CxIdentifiers /

*   Definitions:
*     MaxChannels - maximum number of channels.
*     NumUserLoc - current total number of user locations.
*     UpUserPointer(i) - pointer to upstream most user-supplied
*                        location for channel "i".
*     DownUserPointer(i) - pointer to downstream most user-supplied
*                          location for channel "i".
*     NumberOfUserLocations(i) - number of user-supplied locations
*                              for channel "i".
*     UserWS(i) - water surface elevation at user location "i".
*     UserQ(i) - volumetric discharge at user location "i".
*     UserH(i) - depth of flow at user location "i".
*     UserLocationID(i) - 16-character string ID for user-suppllied
*                         location i.
*===== EOF chnluser.inc =================================================
