*===== BOF chncomp.inc ================================================
*   Version 93.01, January, 1993

*   Note: This include, when used, must follow  after "Network.inc".

      INTEGER TotalCompLocations
      INTEGER NumberOfCompLocations(MaxChannels)
      INTEGER UpCompPointer(MaxChannels)
      INTEGER DownCompPointer(MaxChannels)
      REAL    CompLocation(MaxLocations)
      REAL    DummyArray(MaxLocations), DummyArray2(MaxLocations)
      CHARACTER*16 DummyCharArray(MaxLocations)
      COMMON /ChCompLocations/
     #        TotalCompLocations,
     #        NumberOfCompLocations,
     #        UpCompPointer, DownCompPointer, CompLocation,
     #                         DummyArray, DummyArray2
      COMMON / DummyChar / DummyCharArray
      SAVE / ChCompLocations /, / DummyChar /

*   Definitions:
*     TotalCompLocations - total number of computational locations
*                          in the current application.

*           for the current channel, i,
*     MaxChannels - maximum number of channels.
*     NumberOfCompLocations(i) - number of computational locations.
*     UpCompPointer(i) - global sequence number of most upstream
*                        location.
*     DownCompPointer(i) - global sequence number of most downstream
*                          location.

*            for the global sequence number, j,
*     CompLocation(j) - downstream distance coordinate.
*     DummyArray(j) - a REAL value dependent upon context.
*     DummyArray2(j) - a REAL value dependent upon context.
*     DummyCharArray(j) - a CHARACTER value dependent upon context.

*===== EOF chncomp.inc ================================================
