*===== BOF netblnce.inc ================================================
*   Version 93.01, January, 1993

*   Note: 'network.inc' must appear before this file.

      REAL InitialVolume(MaxChannels), InitialMass(MaxChannels)
      REAL Volume(MaxChannels), Mass(MaxChannels)
      REAL JnctVolFlow(MaxChannels), JnctMassFlow(MaxChannels)
      REAL LateralVolFlow(MaxChannels), LateralMassFlow(MaxChannels)

      COMMON / NetworkBalance /    
     #       InitialVolume,     InitialMass,
     #              Volume,            Mass,
     #         JnctVolFlow,    JnctMassFlow,
     #      LateralVolFlow, LateralMassFlow
     
      SAVE / NetworkBalance /

*   Definitions:
*     InitialVolume(i) - initial volume of fluid in channel i.
*     InitialMass(i) - initial mass of fluid in channel i.
*     Volume(i) - current volume of fluid in channel i.
*     Mass(i) - current mass of fluid in channel i.
*     JnctVolFlow(i) - net change of volume through ends of channel i.
*     JnctMassFlow(i) - net change of mass through ends of channel i.
*     LateralVolFlow(i) - net change of volume resulting from flows
*                         distributed along reaches of channel i.
*     LateralMassFlow(i) - net change of mass resulting from flows
*                         distributed along reaches of channel i.


*===== EOF netblnce.inc ================================================
