*===== BOF network.inc ==================================================
*   Version 93.01, January, 1993

      INTEGER MaxChannels
      PARAMETER( MaxChannels = 25 )
*     PARAMETER( MaxChannels = 500 )
      INTEGER NumCh, Branch
      INTEGER  MaxLocations
*     PARAMETER ( MaxLocations = 5000)
      PARAMETER ( MaxLocations = 500 )
*     PARAMETER ( MaxLocations = 1500 )
      INTEGER MaxQuadPts
      PARAMETER ( MaxQuadPts = 3 )
      INTEGER MaxConnectingChannels
      PARAMETER ( MaxConnectingChannels = 4 )
*     PARAMETER ( MaxConnectingChannels = 5 )
      COMMON  /ChannelNetworkData/ NumCh, Branch
      SAVE / ChannelNetworkData /

*   Definitions:
*     MaxChannels - maximum number of channels.
*     NumCh - current number of channels.
*     Branch - current selected or active channel.
*     MaxLocations - maximum number of computational or user locations.
*     MaxQuadPts - maximum number of quadrature points allowed
*                  for numerical spatial integration between
*                  adjacent computational cross sections.
*     MaxConnectingChannels - maximum number of channels that may be
*                             connected at a junction of channels.

*===== EOF network.inc =================================================
