*===== BOF skyline1.inc ================================================
*   Version 93.01, January, 1993

*   Note: This include, when used, must follow after "Network.inc".

      INTEGER NUMFLT, IDIAG(2*MaxLocations), LE(2*MaxLocations)
      INTEGER IB, ErrUnit, Equations
      LOGICAL IndexedNetworkSolver
      COMMON / Skyline / NUMFLT, IDIAG, LE, IB, ErrUnit, Equations,
     #                   IndexedNetworkSolver
      SAVE / Skyline /

*   Definitions:
*     MaxLocations - maximum number of computational or user locations. 
*     NUMFLT - current number of elements in skyline matrix.
*     IDIAG - column number of the left extent ot the Ith row.
*     LE - row number of the the upper extent of the Ith column.
*     IB - current maximum bandwidth.
*     ErrUnit - FORTRAN unit number for output from solver module.
*     Equations - current number of equations in solution matrix.
*     IndexedNetworkSolver - flag indicating,
*                             [ .TRUE. ] indexed solver is in use, or
*                             [ .FALSE. ] standard solver is in use.

*===== EOF skyline1.inc ================================================
