*===== BOF skyline3.inc ================================================
*   Version 93.01, January, 1993

*   Note: This include, if used, must appear after "Network.inc".

      INTEGER   MFP
      PARAMETER (MFP = 16000)
*     PARAMETER (MFP = 700000)
      REAL      A(MFP), X(2*MaxLocations)
      REAL      XOld(2*MaxLocations), XAdj(2*MaxLocations)
      COMMON /NetworkCoef/ A, X, XOld, XAdj
      SAVE   /NetworkCoef/

*   Definitions:
*     MFP - maximum number of elements in skyline matrix.
*     A(i) - skyline matrix.
*     i - skyline matrix index.
*     X(j) - right-hand-side load vector.
*     XOld(j) - contribution to X, unchanging over time step.
*     XAdj(j) - contribution to X, changing with iteration during time
*               step.

*===== EOF skyline3.inc ================================================
